//
//  KeyboardView.h
//  AnalogSynthesizer
//
//  Created by 成田 拓郎 on 10/05/23.
//  Copyright 2010 lovelyshark. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface KeyboardView : UIView {
	CGPoint prevTouchPoint[10];
	UInt32  prevTouchPointCount;
	UInt32   keyDown;
	UIImage* whiteKeyDown1;
	UIImage* whiteKeyDown2;
	UIImage* whiteKeyDown3;
	UIImage* whiteKeyDown4;
	UIImage* blackKeyDown;
	UIImage* whiteKeyUp1;
	UIImage* whiteKeyUp2;
	UIImage* whiteKeyUp3;
	UIImage* whiteKeyUp4;
	UIImage* blackKeyUp;

	SEL action;
	id  target;
}

@property (nonatomic) UInt32 keyDown;
@property (nonatomic, retain) UIImage* whiteKeyDown1;
@property (nonatomic, retain) UIImage* whiteKeyDown2;
@property (nonatomic, retain) UIImage* whiteKeyDown3;
@property (nonatomic, retain) UIImage* whiteKeyDown4;
@property (nonatomic, retain) UIImage* blackKeyDown;
@property (nonatomic, retain) UIImage* whiteKeyUp1;
@property (nonatomic, retain) UIImage* whiteKeyUp2;
@property (nonatomic, retain) UIImage* whiteKeyUp3;
@property (nonatomic, retain) UIImage* whiteKeyUp4;
@property (nonatomic, retain) UIImage* blackKeyUp;

- (void)setAction:(SEL)aSelector;
- (void)setTarget:(id)anObject;

@end
